Jump to content
Sign in to follow this  
sanbikes

[solved]Há 1 erro - Ocorreu um erro ao enviar mensagem.

Recommended Posts

Olá a todos!

Pesquisei muitos postes aqui a respeito do assunto, mas não resolveu a minha questão.

https://maisvitaminas.com.br/fale-conosco

Já verifiquei o phpmail funciona normalmente, inclusive enviei mensagem dentro da loja pra mim mesmo e deu certo, caso alguém me pergunte.

 

Ps: 1.6.1.17

formulario-contato.JPG

Share this post


Link to post
Share on other sites

Logs de erro do servidor ? Sem tal, fica difícil ajudar.

Ative também o modo debug e verifique se consegue obter mais informacoes sobre o erro.

Share this post


Link to post
Share on other sites

Segue o log

[Sun Feb 18 11:05:30.617559 2018] [:error] [pid 1030005] [client 189.69.155.25:51491] PHP Warning:  Illegal string offset 'fkcorreiosg2' in /public_html/controllers/admin/AdminModulesController.php on line 1439, referer: /index.php?controller=AdminModules&token=20ccd846ecd8edfc38608c19fc3c18b7
[Sun Feb 18 11:05:27.173304 2018] [:error] [pid 1029930] [client 189.69.155.25:51488] PHP Warning:  Illegal string offset 'fkcorreiosg2' in /public_html/controllers/admin/AdminModulesController.php on line 1439, referer: index.php?controller=AdminModules&token=20ccd846ecd8edfc38608c19fc3c18b7&configure=blockcontactinfos&tab_module=front_office_features&module_name=blockcontactinfos
[Sun Feb 18 11:05:06.034921 2018] [:error] [pid 1028450] [client 189.69.155.25:51477] PHP Warning:  Illegal string offset 'fkcorreiosg2' in /home/public_html/controllers/admin/AdminModulesController.php on line 1439, referer: index.php?controller=AdminModules&token=20ccd846ecd8edfc38608c19fc3c18b7
[Sun Feb 18 11:05:02.637663 2018] [:error] [pid 1029032] [client 189.69.155.25:51475] PHP Warning:  Illegal string offset 'fkcorreiosg2' in /public_html/controllers/admin/AdminModulesController.php on line 1439, referer: /index.php?controller=AdminMeta&id_meta=3&updatemeta&token=d5cb8201f9553bc819fb7530ceb4dc22
[Sun Feb 18 11:04:46.270063 2018] [:error] [pid 1029409] [client 189.69.155.25:51469] PHP Warning:  Illegal string offset 'fkcorreiosg2' in /home/public_html/controllers/admin/AdminModulesController.php on line 1439, referer: /index.php?controller=AdminModules&token=20ccd846ecd8edfc38608c19fc3c18b7
[Sun Feb 18 11:04:42.507144 2018] [:error] [pid 1029412] [client 189.69.155.25:51462] PHP Warning:  Illegal string offset 'fkcorreiosg2' in /public_html/controllers/admin/AdminModulesController.php on line 1439, referer: /index.php?controller=AdminMeta&id_meta=3&updatemeta&token=d5cb8201f9553bc819fb7530ceb4dc22
[Sun Feb 18 08:39:28.783805 2018] [:error] [pid 947890] [client 177.189.129.39:49446] PHP Warning:  A non-numeric value encountered in /home/public_html/modules/prestaspeed/prestaspeed.php on line 3862, referer: /index.php?controller=AdminLogin&token=9c33c288e4a81486bae4fc81b3c462f0&redirect=AdminDashboard

Edited by sanbikes (see edit history)

Share this post


Link to post
Share on other sites

Debug

 

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Crypt_RSA has a deprecated constructor in /public_html/modules/googleshopping/lib/phpseclib/Crypt/RSA.php on line 280

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Crypt_Hash has a deprecated constructor in /public_html/modules/googleshopping/lib/phpseclib/Crypt/Hash.php on line 82

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Math_BigInteger has a deprecated constructor in/public_html/modules/googleshopping/lib/phpseclib/Math/BigInteger.php on line 176

Share this post


Link to post
Share on other sites
  1. Vc. atualizou a página alguns tempos para 1.6.1.1.7 ?  Esta versao possue um bug. Vc. deverá atualizar para 1.6.1.18 INCLUSIVE O SEU TEMA se mexeu !. Veja aqui: https://www.prestashop.com/forums/topic/627675-an-error-occurred-while-sending-the-message-on-contact-form/
  2. Além do mais o módulo fkcoreios está escrevendo um monte de erros também. Neste caso o desenvolvedor do módulo deverá debugar.
  3. O seu módulo Google Shopping está usando método crypt obsoleto. Daqui a algum tempo deixará de funcionar idem, se for atualizar a software do seu servidor (versao php por ex.). O mesmo caso para o seu módulo Prestaspeed.

Share this post


Link to post
Share on other sites

Sim, havia atualizado para versão 1.6.17.

Não sei se o desenvolvedor do tema deu continuidade na atualização desse tema, mas mandei mensagens a ele sobre o assunto,mas nao me respondeu.

Edited by sanbikes (see edit history)

Share this post


Link to post
Share on other sites

Tentarei atualizar o contact-form.tpl   pois o "mais fácil"  (atualização para 1.6.18) poderá dar mais dor de cabeça (por experiência)

 

Share this post


Link to post
Share on other sites
Em 18/02/2018 em 12:03 PM, selectshop.at disse:

Vc. deverá atualizar os dois ficheiros do seu tema como mencionado aqui: https://github.com/PrestaShop/PrestaShop/pull/8168/files#diff-eae3981efc859f7a5581c7aef4b68cbd

Um ficheiro é geral, o outro é o contact-form.tpl do seu tema.

Ou mais fácil, faca um upgrade para a versao PS 1.6.1.18.

Ola. Atualizei meu presta para a última versão 1.6.1.1.9 porém tb. estou com esse mesmo erro quando envio mensagem pelo formulário, minha pergunta é: tenho que mexer no arquivo do meu tema tb? Grata.

Share this post


Link to post
Share on other sites

Se vc. trabalha com tema próprio, nao adianta atualizar somente a versao Pretashop. Terá que atualizar também o seu tema. Principalmente se a versao anterior do tema foi 1.6.0.x ou inferior e agora usa 1.6.1.x

Share this post


Link to post
Share on other sites

O tema foi só modificado do original, na verdade só colori e troque as fontes.

 

Share this post


Link to post
Share on other sites

E o tema adaptado é de qual versao Prestashop ? Mesmo aqui houve mudancas, mas que nao tem conexao nenhuma com o envio de mails. Provavel que o seu servidor está usando uma versao ultrapassada do php ou mysql. Ou entao um versao já mais atualizada incompatível com a versao Prestashop em uso.

1. Leia os logs de erro do servidor quando tenta enviar mails.

2. Ative o modo debug e debuge os erros que estao sendo informados na cabeceira da página.

Share this post


Link to post
Share on other sites
8 horas atrás, selectshop.at disse:

E o tema adaptado é de qual versao Prestashop ? Mesmo aqui houve mudancas, mas que nao tem conexao nenhuma com o envio de mails. Provavel que o seu servidor está usando uma versao ultrapassada do php ou mysql. Ou entao um versao já mais atualizada incompatível com a versao Prestashop em uso.

1. Leia os logs de erro do servidor quando tenta enviar mails.

2. Ative o modo debug e debuge os erros que estao sendo informados na cabeceira da página.

Acho que foi adatado de uma versão mais antiga, não me lembro qual. Segundo minha hospedagem o php e mysql estão atualizados para uso com o presta, inclusive a outra loja ainda com a versão 1.6 não dá esse problema, só enxurrada de spam rssss.

Vou procurar pelos logs no servidor. Obrigada e volto a dar mais informações.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More